%{!?dist: %define dist .slc5}
Name: remoteapp
Version: 0.2
Release: 1%{?dist}
Summary: Launch selected Windows applications
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: freerdp

%description 
"remoteapp" is a wrapper scripts around xfreerdp. It allows the
allows to launch selected Windows applications.

Service details at http://cern.ch/go/remoteapp
%prep
%setup -q

%build
pod2man remoteapp > remoteapp.1

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 remoteapp $RPM_BUILD_ROOT/%{_bindir}/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 remoteapp.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_bindir}/remoteapp
%{_mandir}/man1/remoteapp.1*
%doc NOTES

%changelog
* Wed May  9 2012 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.2-1
- initial build
